Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats
Class FlowConstructStatistics

    java.lang.Object
      org.mule.management.stats.AbstractFlowConstructStatistics
          org.mule.management.stats.FlowConstructStatistics

All Implemented Interfaces:
  Serializable, Statistics

Direct Known Subclasses:
  ServiceStatistics

    public class FlowConstructStatistics

extends AbstractFlowConstructStatistics

See Also:
  Serialized Form

Field Summary
`protected ComponentStatistics` | `flowStatistics`

Fields inherited from class org.mule.management.stats.AbstractFlowConstructStatistics
`enabled, flowConstructType, name, receivedEventASync, receivedEventSync`

Constructor Summary
`FlowConstructStatistics(String flowConstructType, String name, int threadPoolSize)`

Method Summary
`void` | `addCompleteFlowExecutionTime(long time)`
`void` | `addFlowExecutionBranchTime(long time, long total)`
`void` | `clear()`
`long` | `getAverageProcessingTime()`
`long` | `getExecutionErrors()`
`long` | `getFatalErrors()`
`long` | `getMaxProcessingTime()`
`long` | `getMinProcessingTime()`
`long` | `getProcessedEvents()`
`int` | `getThreadPoolSize()`
`long` | `getTotalProcessingTime()`
`void` | `incExecutionError()`
`void` | `incFatalError()`
`boolean` | `isEnabled()` Are statistics logged
`void` | `setEnabled(boolean b)` Enable statistics logs (this is a dynamic parameter)

Methods inherited from class org.mule.management.stats.AbstractFlowConstructStatistics
`getAsyncEventsReceived, getFlowConstructType, getName, getSamplePeriod, getSyncEventsReceived, getTotalEventsReceived, incReceivedEventASync, incReceivedEventSync, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flowStatistics

    protected final ComponentStatistics flowStatistics

Constructor Detail

### FlowConstructStatistics

    public FlowConstructStatistics(String flowConstructType,
                                   String name,
                                   int threadPoolSize)

Method Detail

### isEnabled

    public boolean isEnabled()

  Are statistics logged

  Specified by:
    `isEnabled` in interface `Statistics`
  Overrides:
    `isEnabled` in class `AbstractFlowConstructStatistics`

### incExecutionError

    public void incExecutionError()

### incFatalError

    public void incFatalError()

### setEnabled

    public void setEnabled(boolean b)

  Enable statistics logs (this is a dynamic parameter)

  Overrides:
    `setEnabled` in class `AbstractFlowConstructStatistics`

### clear

    public void clear()

  Overrides:
    `clear` in class `AbstractFlowConstructStatistics`

### addCompleteFlowExecutionTime

    public void addCompleteFlowExecutionTime(long time)

### addFlowExecutionBranchTime

    public void addFlowExecutionBranchTime(long time,
                                           long total)

### getAverageProcessingTime

    public long getAverageProcessingTime()

### getProcessedEvents

    public long getProcessedEvents()

### getMaxProcessingTime

    public long getMaxProcessingTime()

### getMinProcessingTime

    public long getMinProcessingTime()

### getTotalProcessingTime

    public long getTotalProcessingTime()

### getExecutionErrors

    public long getExecutionErrors()

### getFatalErrors

    public long getFatalErrors()

### getThreadPoolSize

    public int getThreadPoolSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.